Tarkennettu haku
stretch  ] [  sid  ]
[ Source: php-symfony-polyfill  ]

Paketti: php-symfony-polyfill-php70 (1.9.0-1)

Links for php-symfony-polyfill-php70

Screenshot

Debian-palvelut:

Imuroi lähdekoodipaketti php-symfony-polyfill:

Ylläpitäjät:

External Resources:

Samankaltaisia paketteja:

Symfony polyfill backporting some PHP 7.0+ features to lower PHP versions

This component provides features unavailable in releases prior to PHP 7.0:

 * intdiv
 * preg_replace_callback_array
 * error_clear_last
 * random_bytes and random_int (via php-random-compat)
 * *Error throwable classes

Compatibility notes:

To write portable code between PHP5 and PHP7, some care must be taken:

 * `\*Error` exceptions must be caught before `\Exception`;
 * after calling `error_clear_last()`, the result of
   `$e = error_get_last()` must be verified using
   `isset($e['message'][0])` instead of `null === $e`.

The Symfony Polyfill project backports features found in the latest PHP versions and provides compatibility layers for some extensions and functions. It is intended to be used when portability across PHP versions and extensions is desired.

Symfony is a PHP framework, a set of tools and a development methodology.

Muut pakettiin php-symfony-polyfill-php70 liittyvät paketit

  • depends
  • recommends
  • suggests
  • enhances

Imuroi php-symfony-polyfill-php70

Imurointi kaikille saataville arkkitehtuureille
Arkkitehtuuri Paketin koko Koko asennettuna Tiedostot
all 7.2 kt32.0 kt [tiedostoluettelo]